import type { SvelteuiTheme } from '../../types';
interface GetSharedColorScheme {
    color?: string;
    variant: 'outline' | 'filled' | 'light' | 'gradient' | 'white' | 'default' | 'subtle';
    gradient?: {
        from: string;
        to: string;
        deg: number;
    };
    theme: SvelteuiTheme;
}
export interface SvelteuiGradient {
    from: string;
    to: string;
    deg?: number;
}
/**
 * Provides shared theme styles for components that use theme.colors property on the store:
 * Button, ActionIcon, Badge, ThemeIcon, etc.
 */
export declare function getSharedColorScheme({ color, theme, variant, gradient }: GetSharedColorScheme): {
    border: string;
    background: string;
    color: string;
    hover: string;
};
export {};
